Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 218)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 219)
@@ -14,7 +14,7 @@
         /// <summary>
         /// 本体バージョン
         /// </summary>
-        public static int s_SystemVersion = 47;
+        public static int s_SystemVersion = 48;
 
         /// <summary>
         /// コピー・環境バージョン
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 218)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 219)
@@ -1178,7 +1178,7 @@
 
                 // パラメータセット
                 frm.ConstructionCode = CurrentPara.IntExecParameter[0];
-                if (CurrentPara.IntExecParameter.Count > 1) frm.OrderNo = CurrentPara.IntExecParameter[1];
+                if (CurrentPara.IntExecParameter.Count > 1) frm.OrderNo = CurrentPara.IntExecParameter[2];
 
                 // 直接表示フラグのセット
                 if (CurrentPara.BoolExecParameter.Count > 0)
@@ -1263,6 +1263,7 @@
 
                 // 条件を取り込む
                 frm.ApprovalCode = CurrentPara.IntExecParameter[0];
+                if (CurrentPara.IntExecParameter.Count > 1) frm.AllPurposeKinds = CurrentPara.IntExecParameter[1];
 
                 // フォーム表示
                 frm.ShowDialog();
@@ -2509,6 +2510,7 @@
             try
             {
                 frm.ExecuteFlg = CurrentPara.IntExecParameter[0];
+                if (CurrentPara.IntExecParameter.Count > 1) frm.BillingSplitFlg = CurrentPara.IntExecParameter[1];
                 // フォーム表示
                 frm.ShowDialog();
             }
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMComponentLink.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMComponentLink.cs	(revision 218)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMComponentLink.cs	(revision 219)
@@ -29,7 +29,7 @@
 
         #region 定数
         /// <summary>
-        /// 工事項目マスタフィールド並び
+        /// 構成関連マスタフィールド並び
         /// </summary>
         public enum NameColumn
         {
@@ -53,39 +53,50 @@
 
         #endregion
 
-        #region 検索処理
+        #region 構成関連マスタ検索SQL作成
         /// <summary>
-        /// 工事項目マスタ検索
+        /// 構成関連マスタ検索SQL作成
         /// </summary>
         /// <param name="AddSQLString">検索条件SQL文字列</param>
-        /// <param name="data">工事項目マスタデータ</param>
+        /// <param name="data">構成関連マスタデータ</param>
         /// <returns>true：成功 false：失敗</returns>
         private string CreateSelectSQL()
         {
             // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-            string strcmd = "SELECT";
-            strcmd += "  ComponentCode";
-            strcmd += " ,ItemCode";
-            strcmd += " ,DisplayOrder";
-            strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += " FROM ComponentLinkMaster";
+            StringBuilder strcmd = new StringBuilder();
+            strcmd.Append("SELECT");
+            strcmd.Append("  ComponentCode");
+            strcmd.Append(" ,ItemCode");
+            strcmd.Append(" ,DisplayOrder");
+            strcmd.Append(" ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(" ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(" FROM ComponentLinkMaster");
 
-            return strcmd;
+            return strcmd.ToString();
         }
+        #endregion
+
+        #region 構成関連マスタ検索（複数）
+        /// <summary>
+        /// 構成関連マスタ検索（複数）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref List<ComponentLinkMaster> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.AppendFormat("{0}{1}", CreateSelectSQL(), AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -99,24 +110,34 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
         }
+        #endregion
+
+        #region 構成関連マスタ検索（1件）
+        /// <summary>
+        /// 構成関連マスタ検索（1件）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref ComponentLinkMaster data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.AppendFormat("{0}{1}", CreateSelectSQL(), AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
                 // データ無
                 if (arData.Count == 0) return false;
 
@@ -131,7 +152,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
@@ -138,154 +159,157 @@
         }
         #endregion
 
-        #region 追加処理
+        #region 構成関連マスタ追加（1件）
         /// <summary>
-        /// 工事項目マスタ追加
+        /// 構成関連マスタ追加（1件）
         /// </summary>
-        /// <param name="data">工事項目マスタデータ</param>
+        /// <param name="data">構成関連マスタデータ</param>
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(ComponentLinkMaster work, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO ComponentLinkMaster";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO ComponentLinkMaster");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(NameColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES (";
+                strcmd.Append(") VALUES (");
 
-                strcmd += string.Format("  {0}", work.ComponentCode.ToString());
-                strcmd += string.Format(", {0}", work.ItemCode.ToString());
-                strcmd += string.Format(", {0}", work.DisplayOrder.ToString());
+                strcmd.AppendFormat("  {0}", work.ComponentCode.ToString());
+                strcmd.AppendFormat(", {0}", work.ItemCode.ToString());
+                strcmd.AppendFormat(", {0}", work.DisplayOrder.ToString());
 
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                strcmd += ")";
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                strcmd.Append(")");
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
+        #endregion
+
+        #region 構成関連マスタ追加（複数）
         /// <summary>
-        /// 工事項目マスタ追加
+        /// 構成関連マスタ追加（複数）
         /// </summary>
-        /// <param name="data">工事項目マスタデータ</param>
+        /// <param name="data">構成関連マスタデータ</param>
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(List<ComponentLinkMaster> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO ComponentLinkMaster";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO ComponentLinkMaster");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(NameColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES";
+                strcmd.Append(") VALUES");
 
                 bool bDataFirst = true;
                 foreach (ComponentLinkMaster work in data)
                 {
-                    if (bDataFirst) strcmd += " (";
-                    else strcmd += ", (";
+                    if (bDataFirst) strcmd.Append(" (");
+                    else strcmd.Append(", (");
 
-                    strcmd += string.Format("  {0}", work.ComponentCode.ToString());
-                    strcmd += string.Format(", {0}", work.ItemCode.ToString());
-                    strcmd += string.Format(", {0}", work.DisplayOrder.ToString());
+                    strcmd.AppendFormat("  {0}", work.ComponentCode.ToString());
+                    strcmd.AppendFormat(", {0}", work.ItemCode.ToString());
+                    strcmd.AppendFormat(", {0}", work.DisplayOrder.ToString());
 
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                    strcmd += ")";
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                    strcmd.Append(")");
 
                     bDataFirst = false;
                 }
 
-                if (!ExecuteNonQuery(strcmd, false)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), false)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
         #endregion
 
-        #region 更新処理
+        #region 構成関連マスタ更新
         /// <summary>
-        /// 工事項目マスタ更新
+        /// 構成関連マスタ更新
         /// </summary>
         /// <param name="AddSQLString">更新条件SQL文字列</param>
-        /// <param name="data">工事項目マスタデータ</param>
+        /// <param name="data">構成関連マスタデータ</param>
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, ComponentLinkMaster data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE ComponentLinkMaster";
+                strcmd.Append("UPDATE ComponentLinkMaster");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format(" ComponentCode = {0}", data.ComponentCode.ToString());
-                strcmd += string.Format(",ItemCode = {0}", data.ItemCode.ToString());
-                strcmd += string.Format(",DisplayOrder = {0}", data.DisplayOrder.ToString());
+                strcmd.AppendFormat(" ComponentCode = {0}", data.ComponentCode.ToString());
+                strcmd.AppendFormat(",ItemCode = {0}", data.ItemCode.ToString());
+                strcmd.AppendFormat(",DisplayOrder = {0}", data.DisplayOrder.ToString());
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
         #endregion
 
-        #region 削除
+        #region 構成関連マスタ削除
         /// <summary>
-        /// 工事項目マスタ削除
+        /// 構成関連マスタ削除
         /// </summary>
         /// <param name="AddSQLString">削除条件SQL文字列</param>
-        /// <param name="data">工事項目マスタデータ</param>
+        /// <param name="data">構成関連マスタデータ</param>
         /// <returns>true：成功 false：失敗</returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM ComponentLinkMaster", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM ComponentLinkMaster", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -332,16 +356,16 @@
         public int SelectMaxIDisplayOrderCount(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
             int iRet = 0;
             try
             {
                 // SQL作成
-                strcmd = "SELECT IFNULL(MAX(DisplsyOrder), 0) FROM ComponentLinkMaster" + AddSQLString;
+                strcmd.AppendFormat("SELECT IFNULL(MAX(DisplsyOrder), 0) FROM ComponentLinkMaster{0}", AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return iRet;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -354,7 +378,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
             }
 
             return iRet;
@@ -369,19 +393,19 @@
         /// <returns>Where文字列</returns>
         public string CreatePrimarykeyString(int ComponentCode, int ItemCode=0)
         {
-            string strWork = "";
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork = string.Format(" Where ComponentCode = {0}", ComponentCode);
+                strWork.AppendFormat(" Where ComponentCode = {0}", ComponentCode);
                 if (ItemCode != 0)
-                    strWork += string.Format(" And ItemCode = {0}", ItemCode);
+                    strWork.AppendFormat(" And ItemCode = {0}", ItemCode);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
         #endregion
     }
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMComponentToTypeMaster.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMComponentToTypeMaster.cs	(revision 218)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMComponentToTypeMaster.cs	(revision 219)
@@ -29,7 +29,7 @@
 
         #region 定数
         /// <summary>
-        /// 工事項目マスタフィールド並び
+        /// 構成工事種別関連マスタフィールド並び
         /// </summary>
         public enum NameColumn
         {
@@ -58,20 +58,21 @@
         /// 構成工事種別関連マスタ検索文字列作成
         /// </summary>
         /// <param name="AddSQLString">検索条件SQL文字列</param>
-        /// <param name="data">工事項目マスタデータ</param>
+        /// <param name="data">構成工事種別関連マスタデータ</param>
         /// <returns>true：成功 false：失敗</returns>
         private string CreateSelectSQL()
         {
             // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-            string strcmd = "SELECT";
-            strcmd += "  ComponentCode";
-            strcmd += " ,ItemCode";
-            strcmd += " ,DisplayOrder";
-            strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += " FROM ComponentToTypeMaster";
+            StringBuilder strcmd = new StringBuilder();
+            strcmd.Append("SELECT");
+            strcmd.Append("  ComponentCode");
+            strcmd.Append(" ,ItemCode");
+            strcmd.Append(" ,DisplayOrder");
+            strcmd.Append(" ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(" ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(" FROM ComponentToTypeMaster");
 
-            return strcmd;
+            return strcmd.ToString();
         }
         #endregion
 
@@ -86,16 +87,16 @@
         public bool SelectAction(string AddSQLString, ref List<ComponentToTypeMaster> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.AppendFormat("{0}{1}", CreateSelectSQL(), AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -109,7 +110,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
@@ -127,16 +128,16 @@
         public bool SelectAction(string AddSQLString, ref ComponentToTypeMaster data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.AppendFormat("{0}{1}", CreateSelectSQL(), AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
                 // データ無
                 if (arData.Count == 0) return false;
 
@@ -151,7 +152,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
@@ -160,50 +161,49 @@
 
         #region 追加処理
         /// <summary>
-        /// 工事項目マスタ追加
+        /// 構成工事種別関連マスタ追加
         /// </summary>
-        /// <param name="data">工事項目マスタデータ</param>
+        /// <param name="data">構成工事種別関連マスタデータ</param>
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(ComponentToTypeMaster work, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = "INSERT INTO ComponentToTypeMaster";
+                strcmd.Append("INSERT INTO ComponentToTypeMaster");
 
-                strcmd += " VALUES (";
+                strcmd.Append(" VALUES (");
 
-                strcmd += string.Format("  {0}", work.ComponentCode.ToString());
-                strcmd += string.Format(", {0}", work.TypeCode.ToString());
+                strcmd.AppendFormat("  {0}", work.ComponentCode.ToString());
+                strcmd.AppendFormat(", {0}", work.TypeCode.ToString());
 
-                strcmd += ", NOW()";
-                strcmd += ", NOW()";
-                strcmd += ")";
+                strcmd.Append(", NOW()");
+                strcmd.Append(", NOW()");
+                strcmd.Append(")");
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
         #endregion
 
-        #region 工事項目マスタ追加
+        #region 構成工事種別関連マスタ追加
         /// <summary>
-        /// 工事項目マスタ追加
+        /// 構成工事種別関連マスタ追加
         /// </summary>
-        /// <param name="data">工事項目マスタデータ</param>
+        /// <param name="data">構成工事種別関連マスタデータ</param>
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(List<ComponentToTypeMaster> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-
                 foreach (ComponentToTypeMaster work in data)
                 {
                     InsertAction(work, bConnect);
@@ -212,69 +212,68 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
         #endregion
 
-        #region 更新処理
+        #region 構成工事種別関連マスタ更新
         /// <summary>
-        /// 工事項目マスタ更新
+        /// 構成工事種別関連マスタ更新
         /// </summary>
         /// <param name="AddSQLString">更新条件SQL文字列</param>
-        /// <param name="data">工事項目マスタデータ</param>
+        /// <param name="data">構成工事種別関連マスタデータ</param>
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, ComponentToTypeMaster data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
+                strcmd.Append("UPDATE ComponentToTypeMaster");
 
-                strcmd = "UPDATE ComponentToTypeMaster";
+                strcmd.Append(" SET");
 
-                strcmd += " SET";
+                strcmd.AppendFormat(" ComponentCode = {0}", data.ComponentCode.ToString());
+                strcmd.AppendFormat(",ItemCode = {0}", data.TypeCode.ToString());
 
-                strcmd += string.Format(" ComponentCode = {0}", data.ComponentCode.ToString());
-                strcmd += string.Format(",ItemCode = {0}", data.TypeCode.ToString());
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
-
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
         #endregion
 
-        #region 削除
+        #region 構成工事種別関連マスタ削除
         /// <summary>
-        /// 工事項目マスタ削除
+        /// 構成工事種別関連マスタ削除
         /// </summary>
         /// <param name="AddSQLString">削除条件SQL文字列</param>
-        /// <param name="data">工事項目マスタデータ</param>
+        /// <param name="data">構成工事種別関連マスタデータ</param>
         /// <returns>true：成功 false：失敗</returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM ComponentToTypeMaster", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM ComponentToTypeMaster", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -317,12 +316,12 @@
         /// <returns>Where文字列</returns>
         public string CreatePrimarykeyString(int ComponentCode, int TypeCode=0)
         {
-            string strWork = "";
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork = string.Format(" Where ComponentCode = {0}", ComponentCode);
+                strWork.AppendFormat(" Where ComponentCode = {0}", ComponentCode);
                 if (TypeCode != 0)
-                    strWork += string.Format(" And TypeCode = {0}", TypeCode);
+                    strWork.AppendFormat(" And TypeCode = {0}", TypeCode);
             }
             catch (Exception ex)
             {
@@ -329,7 +328,7 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
             }
 
-            return strWork;
+            return strWork.ToString();
         }
         #endregion
     }
